Original iPhone and iPod touch not supported for 4.0

It was revealed during the Apple keynote held on April 8th, 2010 that iPhone OS 4.0 would not be supported for both the 1G iPhone and iPod touch–the devices that kick-started iPhone OS. And while this is unfortunate news for owners of the original iPhone and/or iPod touch, it is a respectable decision. The first generation iPhone and iPod touch lack certain hardware and software requirements for some of the key iPhone OS 4.0 features. In simpler words, out with the old and in with the new. For those of you that are still hanging on to an original iPhone or iPod touch, what are your thoughts about your device not being supported for iPhone OS 4.0? Is this the end of the line for firmware updates for the 1G devices?

Post a response / What do you think?